/*
 * Created on 3 mai 2005
 */
package com.medias.megapoli.struts.actions;


import javax.servlet.ServletException;
import javax.servlet.http.*;

import org.apache.struts.action.*;
import com.medias.megapoli.struts.forms.DatasForm;
import com.medias.megapoli.trade.ValeurAdapter;

/**
 * @author pignot
 * 
 * Action déclenchée au moment de valider les choix avant extraction
 */
public class DataSubmitAction extends Action {
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws ServletException {
        String target = "success";
        if (this.isCancelled(request)) {
			target = "cancel";
	        return mapping.findForward(target);
        }

        ActionErrors errors = new ActionErrors();
        if (form != null) {
            DatasForm dform = (DatasForm) form;
            ValeurAdapter vAdapter = new ValeurAdapter();
            vAdapter.loadCountFromDatabase(dform);
            dform.setListeCoords(dform.getLatMin()+","+dform.getLatMax()+","+dform.getLonMin()+","+dform.getLonMax());
            dform.setListeDates(dform.getDateDeb()+","+dform.getDateFin());
        }
        if (!errors.isEmpty()) {
            saveErrors(request, errors);
        }
        return mapping.findForward(target);
    }
}