/*
 * Created on 3 mai 2005
 */
package com.medias.megapoli.struts.actions;

import javax.servlet.ServletException;
import javax.servlet.http.*;

import org.apache.struts.action.*;
import com.medias.megapoli.struts.forms.CapteurForm;
import com.medias.megapoli.trade.CapteurAdapter;


/**
 * @author pignot
 * 
 * Action déclenchée au moment d'afficher la description d'un capteur
 */
public class DescCapteurAction extends Action {
    
    public ActionForward execute (ActionMapping mapping, 
                                  ActionForm form,
                                  HttpServletRequest request, 
                                  HttpServletResponse response)
            throws ServletException {
        
        CapteurAdapter adapter = new CapteurAdapter ();
        String target = "failure";
        ActionErrors errors = new ActionErrors ();

        if (form != null) {
            CapteurForm cform = (CapteurForm)form;
            String id = request.getParameter ("idCapt");
            try {
                // A partir de la base de données ...
                adapter.loadCapteurFromDatabase (cform, id);
                target = "success";
            } catch (Exception e) {
                System.out.println ("exception_DescCapteurAction");
                errors.add (ActionErrors.GLOBAL_MESSAGE, 
                            new ActionError ("errors.access.requete.fail"));
                e.printStackTrace ();
            }
        }
        if (!errors.isEmpty ()) {
            saveErrors (request, errors);
        }
        
        return mapping.findForward (target);
        
    }
    
}