package com.medias.megapoli.struts.actions;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import com.medias.megapoli.struts.forms.LogonForm;


/**
 * @author combaz
 *
 * Created on 21 févr. 2005
 */
public class InitLogonAction extends Action {
    
	public ActionForward execute (ActionMapping mapping,
	                              ActionForm form,
	                              HttpServletRequest request, 
	                              HttpServletResponse response)
	        throws ServletException {
	    
		String target = "failure";

		if (request.getParameter ("fileName") != null) {
			request.getSession ().setAttribute ("fileName", request.getParameter ("fileName"));
		}
		if (request.getParameter ("filePath") != null) {
		    request.getSession ().setAttribute ("filePath", request.getParameter ("filePath"));
		}
		if (request.getParameter ("source") != null) {
		    request.getSession ().setAttribute ("source", request.getParameter ("source"));
		}
		
		if(form != null) {
			LogonForm lform = (LogonForm) form;
			lform.setFieldsToNull();
			//lform.setSource (request.getParameter ("source"));
			lform.setSource((String)(request.getSession().getAttribute("source")));
			
//			System.out.println ("   source : " + lform.getSource ());
			
			target = "success";
		}

		return (mapping.findForward (target));
	}
	
}
