/*
 * Created on 3 mai 2005
 */
package com.medias.megapoli.struts.actions;

import javax.servlet.ServletException;
import javax.servlet.http.*;

import org.apache.struts.action.*;
import com.medias.megapoli.struts.forms.JeuxForm;
import com.medias.megapoli.trade.ListeJeuxAdapter;

/**
 * @author pignot
 * 
 * Action déclenchée au moment d'afficher la liste des jeux
 */
public class JeuxAccessAction extends Action {
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws ServletException {
        ListeJeuxAdapter adapter = new ListeJeuxAdapter();
        String target = "failure";
        ActionErrors errors = new ActionErrors();
        if (form != null) {
            JeuxForm jform = (JeuxForm) form;
            try {
                // A partir de la base de données ...
                adapter.loadJeuxFromDatabase(jform);
                target = "success";
            } catch (Exception e) {
                System.out.println("exception_JeuxAccessAction");
                errors.add(ActionErrors.GLOBAL_MESSAGE, new ActionError("errors.access.requete.fail"));
                e.printStackTrace();
            }
        }
        if (!errors.isEmpty()) {
            saveErrors(request, errors);
        }
        return mapping.findForward(target);
    }
}