package com.medias.megapoli.struts.actions;

import com.medias.megapoli.struts.exceptions.MetadataException;
import com.medias.megapoli.struts.forms.MetadataForm;
import com.medias.megapoli.trade.MetadataAdapter;
//import com.medias.megapoli.utils.annuaire.Personne;


import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;


/**
 * @author combaz
 * Created on 15 févr. 2005
 */
public class MetadataInfoAction extends Action {
	public ActionForward execute (ActionMapping mapping,ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
	        throws ServletException {
		MetadataAdapter adapter = new MetadataAdapter ();
		String           target = "failure";
		String     pathMetadata = request.getParameter("metadataUri");
		String 			  idJeu = request.getParameter("idJeu");
		ActionErrors 	 errors = new ActionErrors();
		
		if(form != null) {
			MetadataForm mform = (MetadataForm) form;
			if (((pathMetadata != null) && (pathMetadata.length () != 0)) || idJeu != null) {
				try {
					// A partir de la base de données ...
					adapter.loadMetadata(mform, pathMetadata, idJeu);
					target = "success";
				}
				catch (MetadataException e) {
					System.out.println ("exception_MetadataInfoAction");
					errors.add (ActionErrors.GLOBAL_MESSAGE, new ActionError ("errors.upload.metadata.notfound"));
					e.printStackTrace ();
				}
				catch (Exception e) {
					System.out.println ("exception_MetadataInfoAction");
					errors.add (ActionErrors.GLOBAL_MESSAGE, new ActionError ("errors.access.requete.fail"));
					e.printStackTrace ();
				}
			}
		}
		
		if(!errors.isEmpty()){
			saveErrors(request, errors);
		}
		
		return mapping.findForward(target);
	}
}