package com.medias.megapoli.struts.actions;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import com.medias.megapoli.struts.forms.MetadataForm;

/**
 * @author pignot
 *
 * Action appelée au moment d'ajouter un paramètre dans le formulaire de métadonnées
 */
public class NewParamAction extends Action{
	public ActionForward execute (ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {

		if(this.isCancelled(request) || form == null)
            return mapping.findForward("index");

        String target = "success";
        MetadataForm mform = (MetadataForm)form;
        mform.getMetadata().getContenuPrevu().addParam();
//        mform.getMetadata().createXmlFile();
        return mapping.findForward(target);
	}
}
