package com.medias.megapoli.struts.actions;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import com.medias.xml.hierarchie.Hierarchie;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;


/**
 * @author combaz
 *
 * Created on 22 févr. 2005
 */
public class PrepareFileListAction extends Action {
	public ActionForward execute(ActionMapping mapping,ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
	        throws ServletException {
		String target = "failure";
		ActionErrors errors = new ActionErrors();
		
		Hierarchie tree = (Hierarchie) request.getSession().getServletContext().getAttribute("APP_UPLOADTREE");
		String path = (String) request.getParameter("setPath");
		try{
			tree.createFileView(path);
			request.getSession().setAttribute("jeu",path.substring(path.lastIndexOf("/")+1));
			request.getSession().setAttribute("categ",path.substring(0,path.indexOf("/")));
			target = "success";
		}
		catch(Exception e) {
			System.out.println ("exception_prepareFileListAction");
			errors.add(ActionErrors.GLOBAL_MESSAGE, new ActionError("errors.upload.prepareFileList.failed"));
			e.printStackTrace();
		}	
		
		if(!errors.isEmpty()){
			saveErrors(request, errors);
		}
		
		return (mapping.findForward(target));
	}
}
