package com.medias.megapoli.struts.actions;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import com.medias.xml.hierarchie.Hierarchie;


/**
 * @author combaz
 *
 * Created on 24 févr. 2005
 */
public class PrepareTreeAccessAction extends Action {
	public ActionForward execute (ActionMapping mapping,ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
	        throws ServletException {
		String target = "failure";
		ActionErrors errors = new ActionErrors();

		Hierarchie tree = (Hierarchie) request.getSession().getServletContext().getAttribute("APP_ACCESSTREE");
		try {
			tree.createTreeView();
			target="success";
		}
		catch(Exception e) {
			System.out.println ("exception_prepareTreeAccessAction");
			errors.add(ActionErrors.GLOBAL_MESSAGE, new ActionError("errors.upload.prepareFileList.failed"));
			e.printStackTrace();
		}		

		if(!errors.isEmpty()){
			saveErrors(request, errors);
		}
		
		return mapping.findForward(target);
	}
}
