package com.medias.megapoli.struts.actions;

import java.io.BufferedInputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStream;
import java.io.OutputStream;

import com.medias.Context;
import com.medias.zip.ZipUtilities;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;


/**
 * @author combaz
 *
 * Created on 22 févr. 2005
 */
public class ZipGameAction extends Action {
    
	public ActionForward execute (ActionMapping 		mapping,
	                              ActionForm 			form,
	                              HttpServletRequest 	request, 
	                              HttpServletResponse 	response)
	        throws ServletException {

//	    String 			target 	= null;
		ActionErrors 	errors 	= new ActionErrors ();
		
		String			path	= request.getParameter("path");
	    String uploadDir = (String)request.getSession().getServletContext().getAttribute("uploadDir");
	    String accessDir = (String)request.getSession().getServletContext().getAttribute("accessDir");

	    File f = new File (accessDir+"/"+path+"/");
	    if (!f.exists() || f.list().length==0) {
	    	f = new File (uploadDir+"/"+path);
	    }
//		if (this.isCancelled (request)) {
//			target = "cancel";
//		} else {
			try {
//			    ZipUtilities.zipFilesInPath(ZipUtilities.getPathFromFilePath (path), archive);
				ZipUtilities.zipFilesInPath(f);
//			    target = "success";
			}
			catch (Exception e) {
				System.out.println ("exception_zipGameAction");
				e.printStackTrace ();
				errors.add (ActionErrors.GLOBAL_MESSAGE, new ActionError ("errors.zipgame.failed"));
			}
//		}
		
//		if (!errors.isEmpty ()){
//			saveErrors (request, errors);
//			target = "failure";
//		}
		
//		return (mapping.findForward (target));

		File file = new File (f.getAbsolutePath()+"/"+f.getName()+"_archive.zip");

	    response.setContentType ("multipart/zip"); 
	    response.setHeader ("Content-Disposition","attachment; filename=\"" +file.getName().trim () + "\";");
	    response.setContentLength((int)file.length());

	    try {
	          OutputStream os = response.getOutputStream ();
	          FileInputStream stream = new FileInputStream (file);
	          BufferedInputStream  bis = new BufferedInputStream (stream);
	          InputStream is = new BufferedInputStream (bis);
	          
	          int count;
	          byte buf[] = new byte[4096];
	          while ((count = is.read (buf)) > -1) {
	              os.write (buf, 0, count);
	          }
	          is.close (); 
	          os.close ();
	    }
	    catch (Exception ex) { 
	    	System.out.println ("exception_sendFileToClient");
	    	errors.add (ActionErrors.GLOBAL_MESSAGE, new ActionError ("errors.access.send.failed",Context.getWebmaster(request)));
	    	ex.printStackTrace ();
	    }
		if(!errors.isEmpty ()){
			System.out.println ("errors");
			saveErrors(request, errors);
		}
		file.delete();
		return null;
	}
	
}
