/*
 * Created on 3 mai 2005
 */
package com.medias.megapoli.struts.forms;

import java.util.ArrayList;

import org.apache.struts.validator.ValidatorForm;
import com.medias.database.objects.Fichier;

/**
 * @author pignot
 *
 * Classe décrivant les objets de la page contenant la liste des fichiers d'un jeu
 */
public class FichiersForm extends ValidatorForm {
	
	/**
     * 
     */
    private static final long serialVersionUID = 1L;
    private ArrayList<Fichier> fichiers;
    private int idJeu;
    private String nomJeu;
    private String nomCategorie;

	public String getNomCategorie() {
		return nomCategorie;
	}

	public void setNomCategorie(String nomCategorie) {
		this.nomCategorie = nomCategorie;
	}

	public String getNomJeu() {
		return nomJeu;
	}

	public void setNomJeu(String nomJeu) {
		this.nomJeu = nomJeu;
	}

	public int getIdJeu() {
		return idJeu;
	}

	public void setIdJeu(int idJeu) {
		this.idJeu = idJeu;
	}

	public ArrayList<Fichier> getFichiers() {
        return fichiers;
    }

    public void setFichiers(ArrayList<Fichier> fichiers) {
        this.fichiers = fichiers;
    }
}
