package com.medias.megapoli.struts.forms;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.Properties;

import org.apache.struts.upload.FormFile;
import org.apache.struts.validator.ValidatorForm;
import com.medias.xml.metadata.Contact;
import com.medias.xml.metadata.Metadata;
import com.medias.xml.metadata.Plateforme;
import com.medias.megapoli.utils.NewSetMail;
import com.medias.mail.Mail;

/**
 * @author combaz
 * Created on 10 févr. 2005
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class MetadataForm extends ValidatorForm {
	
	/**
     * 
     */
    private static final long serialVersionUID = 1L;
    private Metadata metadata;
	private ArrayList<String> mess;
	private ArrayList<Mail> mails;

	public ArrayList<Mail> getMailsList(){
		return this.mails;
	}
	
	/**
	 * @return Returns the mails.
	 */
	public Object[] getMails() {
		return this.mails.toArray();
	}
	
	/**
	 * @param capteurs The capteurs to set.
	 */
	public void setMails(Mail[] mails) {
		this.mails = new ArrayList<Mail>();
		for(int i=0; i<mails.length; i++)
			this.mails.add(mails[i]);
	}

	/**
	 * @return Returns the mess.
	 */
	public Object[] getMess() {
		if(this.mess == null)
			this.mess = new ArrayList<String>();
		return this.mess.toArray();
	}
	
	
	public ArrayList<String> getMessList() {
		if(this.mess == null)
			this.mess = new ArrayList<String>();
		return this.mess;
	} 
	
	public void setMess(int idx, String txt) {
		this.mess = new ArrayList<String>();
		for (int i=0;i<idx;i++)
			this.mess.add(i,"");
		this.mess.add(idx,txt);
	}
	
/*	public void setMess(String[] mess) {
System.out.println("setMess(txt[])");
		this.mess = new ArrayList();
		for(int i=0; i<mess.length; i++) {
			if(mess[i]!=null) 
				this.mess.add(new String(mess[i]));
			else
				this.mess.add("");
		}
	}*/
	
	public String getMessText() {
		String txt = "";
		Iterator<String> it = this.getMessList().iterator();
		while(it.hasNext() && txt.length()==0) {
			txt = (String) it.next();
			if(txt == null)
				txt="";
		}			
		
		if(txt.length()!=0)
			return txt;
		
		else
			return null;
	}
	
	public Integer getMessIdx() {
		int i = 0;
		String txt = "";
		Iterator<String> it = this.mess.iterator();
		while(it.hasNext() && txt.length()==0) {
			txt = (String) it.next();
			i++;
		}
		
		if(txt.length()!=0)
			return new Integer(i-1);
		
		else
			return null;
	}

	/**
	 * @return Returns the metadata.
	 */
	public Metadata getMetadata() {
		return metadata;
	}
	/**
	 * @param metadata The metadata to set.
	 */
	public void setMetadata(Metadata metadata) {
		this.metadata = metadata;
	}	
	
	public FormFile getNewFile() {
		FormFile file = null;
		ArrayList<Plateforme> plats = this.metadata.getContenuPrevu().getPlateformes();
		Iterator<Plateforme> it = plats.iterator();
		Plateforme plat;
		while(it.hasNext() && file==null) {
		    plat = (Plateforme) it.next();
			file = plat.getNewFile();
		}
		return file;
	}

	public void setNewFile(FormFile newFile) {
		FormFile file = null;
		ArrayList<Plateforme> plats = this.metadata.getContenuPrevu().getPlateformes();
		Iterator<Plateforme> it = plats.iterator();
		Plateforme plat;
		while(it.hasNext() && file==null) {
		    plat = (Plateforme) it.next();
			file = plat.getNewFile();
			plat.setNewFile(newFile);
		}
	}
	
	public String getSetPath() {
		return this.metadata.getRelativePath();
	}
	
	public void initMess() {
		this.mess = new ArrayList<String>();		
	}
	
	public void init() {
		this.initMess();
		this.metadata = new Metadata();
		this.mails = new ArrayList<Mail>();
	}
	
	public void init(String categorie) {
		this.init();
		this.metadata.getPres().setCat(categorie);
	}
	
	public void initNewSetMails(Properties prop, String from, String nom) {
		this.mails = new ArrayList<Mail>();
		Iterator<Contact> it = this.metadata.getPres().getContactsList().iterator();
		while(it.hasNext()) {
			Contact pers = (Contact)it.next();
			if(!pers.isNull()) {
				/* Doit retourner le mail en copie à l'expéditeur par bcc */
				NewSetMail pers_mail = new NewSetMail(from, pers.getMail(), from);
				pers_mail.createContent(prop, pers.getPrenom(),pers.getMail(),pers.getMdp(),pers.getRole(),this.metadata.getPres().getNom(),nom);
				Iterator<Contact> it2 = this.metadata.getPres().getContactsList().iterator();
				while(it2.hasNext()) {
					Contact pers2 = (Contact) it2.next();
					if(!pers2.equals(pers)) {
						String identPers;
						if (pers2.getPrenom() == null || pers2.getPrenom().trim().equals("")) {
							if (pers2.getNom() == null || pers2.getNom().trim().equals("")) {
								identPers = pers2.getMail();
							} else {
								identPers = pers2.getNom()+" ("+pers2.getMail()+")";
							}
						} else {
							if (pers2.getNom() == null || pers2.getNom().trim().equals("")) {
								identPers = pers2.getMail();
							} else {
								identPers = pers2.getPrenom()+" "+pers2.getNom()+" ("+pers2.getMail()+")";
							}
						}
						pers_mail.addReference(identPers,pers2.getRole());
					}
				}
				this.mails.add(pers_mail);
			}
		}
	}
}
