/*
 * Created on 3 mai 2005
 */
package com.medias.megapoli.struts.actions;

import javax.servlet.ServletException;
import javax.servlet.http.*;

import org.apache.struts.action.*;
import com.medias.megapoli.struts.forms.ParametreForm;
import com.medias.megapoli.trade.ParametreAdapter;

/**
 * @author pignot
 * 
 * Action déclenchée au moment d'afficher la description d'un paramètre
 */
public class DescParametreAction extends Action {
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws ServletException {
        ParametreAdapter adapter = new ParametreAdapter();
        String target = "failure";
        ActionErrors errors = new ActionErrors();

        if (form != null) {
            ParametreForm pform = (ParametreForm) form;
            String id = request.getParameter("idParam");
            try {
                // A partir de la base de données ...
                adapter.loadParametreFromDatabase(pform, id);
                target = "success";
            } catch (Exception e) {
                System.out.println("exception_DescParametreAction");
                errors.add(ActionErrors.GLOBAL_MESSAGE, new ActionError(
                        "errors.access.requete.fail"));
                e.printStackTrace();
            }
        }
        if (!errors.isEmpty()) {
            saveErrors(request, errors);
        }
        return mapping.findForward(target);
    }
}