/*
 * Created on 3 mai 2005
 */
package com.medias.megapoli.struts.actions;

import javax.servlet.ServletException;
import javax.servlet.http.*;

import org.apache.struts.action.*;
import com.medias.megapoli.struts.forms.PlateformeForm;
import com.medias.megapoli.trade.PlateformeAdapter;

/**
 * @author pignot
 * 
 * Action déclenchée au moment d'afficher la description d'une plateforme
 */
public class DescPlateformeAction extends Action {
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws ServletException {
        PlateformeAdapter adapter = new PlateformeAdapter();
        String target = "failure";
        ActionErrors errors = new ActionErrors();

        if (form != null) {
            PlateformeForm pform = (PlateformeForm) form;
            String id = (String)request.getParameter("idPlat");
            try {
                // A partir de la base de données ...
                adapter.loadPlateformeFromDatabase(pform, id);
                target = "success";
            } catch (Exception e) {
                System.out.println("exception_DescPlateformeAction");
                errors.add(ActionErrors.GLOBAL_MESSAGE, new ActionError(
                        "errors.access.requete.fail"));
                e.printStackTrace();
            }
        }
        if (!errors.isEmpty()) {
            saveErrors(request, errors);
        }
        return mapping.findForward(target);
    }
}