/*
 * Created on 3 mai 2005
 */
package com.medias.megapoli.struts.actions;

import javax.servlet.ServletException;
import javax.servlet.http.*;

import org.apache.struts.action.*;
import com.medias.megapoli.struts.forms.ParametresForm;
import com.medias.megapoli.trade.ListeParametresAdapter;

/**
 * @author pignot
 * 
 * Action déclenchée au moment d'afficher la liste des paramètres
 */
public class ParametresAccessAction extends Action {
    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws ServletException {
        ListeParametresAdapter adapter = new ListeParametresAdapter();

        String target = "failure";
        ActionErrors errors = new ActionErrors();

        if (form != null) {
            ParametresForm pform = (ParametresForm) form;
            try {
                // A partir de la base de données ...
                adapter.loadParametresFromDatabase(pform);
                target = "success";
            } catch (Exception e) {
                System.out.println("exception_ParametresAccessAction");
                errors.add(ActionErrors.GLOBAL_MESSAGE, new ActionError("errors.access.requete.fail"));
                e.printStackTrace();
            }
        }
        if (!errors.isEmpty()) {
            saveErrors(request, errors);
        }
        return mapping.findForward(target);
    }
}