/*
 * Created on 3 mai 2005
 */
package com.medias.megapoli.struts.forms;

import java.util.ArrayList;

import org.apache.struts.validator.ValidatorForm;
import com.medias.database.objects.Capteur;
import com.medias.database.objects.Jeu;
import com.medias.database.objects.Parametre;
import com.medias.database.objects.Plateforme;

/**
 * @author pignot
 *
 * Classe décrivant les objets de la page contenant la description d'un capteur
 */
public class CapteurForm extends ValidatorForm {
	
	/**
     * 
     */
    private static final long serialVersionUID = 1L;

    private Capteur capteur;

	private ArrayList<Plateforme> plateformes;
	
	private ArrayList<Parametre> parametres;
	
	private ArrayList<Jeu> jeux;
	
	private String path;
	
    public Capteur getCapteur() {
        return capteur;
    }

    public void setCapteur(Capteur capteur) {
        this.capteur = capteur;
    }
    
    public ArrayList<Parametre> getParametres() {
        return parametres;
    }
    
    public ArrayList<Plateforme> getPlateformes() {
        return plateformes;
    }
    
    public void setParametres(ArrayList<Parametre> parametres) {
        this.parametres = parametres;
    }
    
    public void setPlateformes(ArrayList<Plateforme> plateformes) {
        this.plateformes = plateformes;
    }
    
    public String getPath() {
        return path;
    }
    
    public void setPath(String path) {
        this.path = path;
    }
    
    public ArrayList<Jeu> getJeux() {
        return jeux;
    }
    
    public void setJeux(ArrayList<Jeu> jeux) {
        this.jeux = jeux;
    }
}