/*
 * Created on 3 mai 2005
 */
package com.medias.megapoli.struts.forms;

import java.util.ArrayList;

import org.apache.struts.validator.ValidatorForm;
import com.medias.database.objects.Capteur;
import com.medias.database.objects.Jeu;
import com.medias.database.objects.Parametre;
import com.medias.database.objects.Plateforme;

/**
 * @author pignot
 *
 * Classe décrivant les objets de la page contenant la description d'une plateforme
 * et sa localisation éventuelle
 */
public class PlateformeForm extends ValidatorForm {
	
	/**
     * 
     */
    private static final long serialVersionUID = 1L;

    private Plateforme plateforme;
	
	private ArrayList<String> images;
	
	private ArrayList<Parametre> parametres;
	
	private ArrayList<Capteur> capteurs;
	
	private ArrayList<Jeu> jeux;
	
	private String latMin;
	private String latMax;
	private String lonMin;
	private String lonMax;
	private String altMin;
	private String altMax;
	private String hsMin;
	private String hsMax;
	
	private String path;
	
    public Plateforme getPlateforme() {
        return plateforme;
    }

    public void setPlateforme(Plateforme plateforme) {
        this.plateforme = plateforme;
    }
    
    public ArrayList<Capteur> getCapteurs() {
        return capteurs;
    }
    
    public ArrayList<Parametre> getParametres() {
        return parametres;
    }
    
    public void setCapteurs(ArrayList<Capteur> capteurs) {
        this.capteurs = capteurs;
    }
    
    public void setParametres(ArrayList<Parametre> parametres) {
        this.parametres = parametres;
    }
    
    public String getPath() {
        return path;
    }
    
    public void setPath(String path) {
        this.path = path;
    }
    
    public String getAltMax() {
        return altMax;
    }
    
    public String getAltMin() {
        return altMin;
    }
    
    public String getHsMax() {
        return hsMax;
    }
    
    public String getHsMin() {
        return hsMin;
    }
    
    public String getLatMax() {
        return latMax;
    }
    
    public String getLatMin() {
        return latMin;
    }
    
    public String getLonMax() {
        return lonMax;
    }
    
    public String getLonMin() {
        return lonMin;
    }
    
    public void setAltMax(String altMax) {
        this.altMax = altMax;
    }
    
    public void setAltMin(String altMin) {
        this.altMin = altMin;
    }
    
    public void setHsMax(String hsMax) {
        this.hsMax = hsMax;
    }
    
    public void setHsMin(String hsMin) {
        this.hsMin = hsMin;
    }
    
    public void setLatMax(String latMax) {
        this.latMax = latMax;
    }
    
    public void setLatMin(String latMin) {
        this.latMin = latMin;
    }
    
    public void setLonMax(String lonMax) {
        this.lonMax = lonMax;
    }
    
    public void setLonMin(String lonMin) {
        this.lonMin = lonMin;
    }
    
    public ArrayList<String> getImages() {
        return images;
    }
    
    public void setImages(ArrayList<String> images) {
        this.images = images;
    }
    
    public ArrayList<Jeu> getJeux() {
        return jeux;
    }
    
    public void setJeux(ArrayList<Jeu> jeux) {
        this.jeux = jeux;
    }
}
